#include "MenuTextInventory_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextInventory_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextInventory_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_inventory;
}

std::shared_ptr<Entity> CreateMenuTextInventory_Player2Keyboard()
{
	return std::make_shared<MenuTextInventory_Player2Keyboard>();
}


